\documentclass[22pt]{article}
\usepackage{hyperref} % hyperlinks
\usepackage{fancyhdr} % nice headers
\usepackage{graphicx} % images?
\usepackage{xcolor} % \red?
\usepackage{listings} % code blocks
\pagestyle{fancy}
\fancyhf{}
\rhead{Linux Users Group}
\rfoot{Page \thepage}
\lhead{Linux Install Guide}
\author{Linux Users Group}
\begin{document}
\title{Linux Install Guide}
\tableofcontents
\newpage
\section{Terminology}
\paragraph{Desktop Environment}
This defines how the windows are arranged, and other workflow related tasks (like the home menu). Also called a Window Manager. \\ 
\paragraph{Distro}
This is a distribution, or a specific configuration on top of the base GNU/Linux system
\newpage 
\section{Choosing a Distro}
These are listed in order of what we recommend
\subsection{Beginner}
\subsubsection{Mint}
% \href{https://distrowatch.com/table.php?distribution=mint}{distroWatch} \\
Parent Distro: Ubuntu \\
Pros:
\begin{itemize}
\item Built on Ubuntu
\item Doesn't have built-in shortcut to Amazon
\end{itemize}
Cons:
\begin{itemize}
\item None
\end{itemize}
\subsubsection{Ubuntu}
% \href{https://distrowatch.com/table.php?distribution=ubuntu}{distroWatch} \\
Parent Distro: Debian \\ 
Pros:
\begin{itemize}
\item This is the most common user friendly choice for computers
\end{itemize}
Cons:
\begin{itemize}
\item Has a built-in shortcut to Amazon's store
\end{itemize}
\subsubsection{Manjaro}
% \href{https://distrowatch.com/table.php?distribution=manjaro}{distroWatch} \\
Parent Distro: Arch \\
Pros:
\begin{itemize}
\item Accessible to both newcomers and has extensive options for more experienced users
\item Easier to install than Arch
\item Built on Arch
\end{itemize}
Cons:
\begin{itemize}
\item Not as user friendly as Ubuntu
\end{itemize}
\subsubsection{Pop OS}
% \href{https://distrowatch.com/table.php?distribution=popos}{distroWatch} \\
Parent Distro: Ubuntu \\ 
Pros:
\begin{itemize}
\item Gaming
\item Made by system76
\end{itemize}
Cons:
\begin{itemize}
\item Only has support for one desktop environment
\end{itemize}
\subsection{Intermediate}
\subsubsection{OpenSUSE}
% \href{https://distrowatch.com/table.php?distribution=openSUSE}{distroWatch} \\
Parent Distro: Independent
Pros:
\begin{itemize}
\item Some rare pieces of scientific software will focus on supporting openSUSE
\end{itemize}
Cons:
\begin{itemize}
\item Few people use comparatively
\item Lack of Pros
\end{itemize}
\subsubsection{Debian}
% \href{https://distrowatch.com/table.php?distribution=debian}{distroWatch} \\
Parent Distro: Independent
Pros:
\begin{itemize}
\item Less bloat that would normally come with Ubuntu
\item Works on a Raspberry Pi
\end{itemize}
Cons:
\begin{itemize}
\item Lack of Pros
\end{itemize}
\subsubsection{Fedora}
% \href{https://distrowatch.com/table.php?distribution=fedora}{distroWatch} \\
Parent Distro: Independent
Pros:
\begin{itemize}
\item Less bloat
\end{itemize}
Cons:
\begin{itemize}
\item Lack of Pros
\item Less user friendly
\end{itemize}
\subsection{Advanced}
\subsubsection{CentOS}
% \href{https://distrowatch.com/table.php?distribution=centos}{distroWatch} \\
This is normally a server OS, yet it can also be used as a normal operating system as well.
Parent Distro: Fedora
Pros:
\begin{itemize}
\item Made for servers
\item Stability
\end{itemize}
Cons:
\begin{itemize}
\item Less user friendly
\item Older software (takes time to get feature updates)
\end{itemize}
\subsubsection{Arch}
% \href{https://distrowatch.com/table.php?distribution=arch}{distroWatch} \\
Parent Distro: Independent
Pros:
\begin{itemize}
\item Just what you need to run a system
\item Practically no bloat
\item Small
\item Newest software
\end{itemize}
Cons:
\begin{itemize}
\item Less user friendly
\item Can be pain to install, as you do everything manually
\item Manjaro is easier to install
\end{itemize}
\subsection{Crazy}
\subsubsection{Qubes OS}
% \href{https://distrowatch.com/table.php?distribution=qubes}{distroWatch} \\
Parent Distro: Fedora \\
Everything in this distro runs in VMs, so you can run Fedora/Debian/Arch applications nearly seamlessly.
Pros:
\begin{itemize}
\item Security
\item Custom-ability
\item Multiple distros simultaneously, so you can handpick the distro for the job
\end{itemize}
Cons:
\begin{itemize}
\item Can just break
\item Smaller project
\item Less support
\item Takes time and knowledge of how the VMs are arranged to setup properly
\item Does not run in a VM
\item Requires your CPU to have certain technologies
\item Takes a Lot of RAM
\end{itemize}
\subsubsection{Gentoo}
% \href{https://distrowatch.com/table.php?distribution=gentoo}{distroWatch} \\
You have to compile this yourself.
Parent Distro: Independent
Pros:
\begin{itemize}
\item Just what you need to run a system
\item Practically no bloat
\item Can run on strange architectures
\item Can be installed beside Android
\end{itemize}
Cons:
\begin{itemize}
\item Is a pain to install
\end{itemize}
\newpage
\section{Choosing a desktop environment}
\subsection{Beginner}
\subsubsection{GNOME}
\begin{itemize}
\item Defaults on Fedora, Debian, Ubuntu, CentOS, etc.
\item One of the larger contributor networks
\item Many familiar features to MacOS and Windows
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/GNOME}\\Source: \href{https://www.gnome.org/wp-content/uploads/2017/04/featured-image@2x-1.png}{GNOME website}
\subsubsection{XFCE}
\begin{itemize}
\item Lightweight and performant
\item "Aims to be fast and low on system resources"
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/XFCE}\\Source: \href{https://cdn.xfce.org/about/screenshots/4.14-1.png}{XFCE website}
\newpage
\subsubsection{Cinnamon}
\begin{itemize}
\item Fork of GNOME 3, for Linux Mint
\item Created after disagreement of GNOME 3 design direction, follows more traditional patterns
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/Cinnamon}\\Source: \href{https://upload.wikimedia.org/wikipedia/commons/c/cd/Cinnamon_4.2.3_screenshot.png}{Wikimedia Commons}
\subsubsection{KDE Plasma}
\begin{itemize}
  \item Most Windows-like 
  \item Multiple virtual desktops, with custom layouts for each
  \item Also a very large contributor and support network
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/KDE}\\Source: \href{https://kde.org/announcements/plasma-5.17/plasma-5.17.png}{KDE website}
\newpage
\subsubsection{MATE}
\begin{itemize}
  \item The continuation of GNOME 2
  \item Interested in "preserving a traditional desktop experience"
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/MATE}\\Source: \href{https://mate-desktop.org/gallery/1.22/english/Mate-1.22-3.png}{MATE website}
\subsection{Intermediate}
\subsubsection{i3}
\begin{itemize}
  \item vi-like control system, mostly with no mouse control
  \item New windows maximize screen size by default, in a tiling-manner.
  \item Minimal interface and features, just enough to provide access to program-specific GUIs 
\end{itemize}
This is tiling window manager (windows split the screen as shown) \\
\includegraphics[width=0.7\linewidth]{images/i3}\\Source: \href{https://i3wm.org/screenshots/i3-9.png}{i3 website}
\subsubsection{bspwm}
\begin{itemize}
\item Tiling window manager like i3, but represents windows as leaves of a full binary tree.
\item Focuses on configuration and standardization through X11 events, and uses separate program (bspc) to manage communication to the window manager itself, which handles all keyboard and mouse input, process signals, etc.
\end{itemize}
\subsubsection{LXDE}
\begin{itemize}
\item Performance as a priority
\item Highly modular, with few inner dependencies making it easier to install only what a users wants or needs
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/LXDE}\\Source: \href{https://commons.wikimedia.org/wiki/File:LXDE_desktop_full.png}{Wikimedia Commons}
\newpage
\subsection{Advanced}
These are highly configurable, but they don't work well out of the box
\subsubsection{Openbox}
\begin{itemize}
\item Stacking window manager, meaning windows drawn in specific order, allowing windows to display on top of one another.
\item Programs run in boxes, and openbox allows for full control on how boxes interact, run, display, etc.
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/Openbox}\\Source: \href{https://upload.wikimedia.org/wikipedia/commons/b/b0/Openbox-elementary3.png}{Wikimedia Commons}
\subsubsection{Awesome}
\begin{itemize}
\item Aims to provide a "framework window manager", where there is very minimal features and you must configure it to get useability.
\item Provides standardized API to interact with, with out-of-the-box scripting available using the Lua programming language.
\end{itemize}
\includegraphics[width=0.7\linewidth]{images/awesome}\\Source: \href{https://awesomewm.org/images/screen.png}{Awesome website}
\newpage
\section{Installation}
\textit{\textbf{IF YOU ARE EVER UNSURE OF HOW TO PROCEED, PLEASE ASK!}} \\
This section will occasionally reference alternate configurations, if you want that particular option, go to the associated section. \\
\subsection{Pre-installation}
If you are installing in a VM see \ref{sec:virtual-machine}
\subsubsection{Pick a Distro}
Which distro you choose will be based on:
\begin{itemize}
\item The speed of your computer
\item How stable you want it (normally the more stable, the older software)
\item The window manager
\item And of course personal preference
\end{itemize}
\subsubsection{Entering BIOS}
\label{sec:enter-bios}
\textit{\textbf{BE CAREFUL IN THE BIOS.}}.
\begin{enumerate}
\item Turn off your computer
\item Plug in your Installation USB (for more information about bootable usb see \ref{sec:bootable-usb})
\item Turn on the computer
\item Before the laptop manufacturers logo appears press F2 repeatedly. You should see something like one of the images below, if not see \ref{sec:bios-keys}.
\end{enumerate}
\includegraphics[width=\linewidth]{images/BIOS-1}\\Source: \href{https://upload.wikimedia.org/wikipedia/commons/3/3d/Puredyne-bios-01.jpg}{Wikimedia Commons}\\
\includegraphics[width=\linewidth]{images/BIOS-2}\\Source: \href{https://upload.wikimedia.org/wikipedia/commons/7/71/Bios-cambiar-ide-ahci.png}{Wikimedia Commons}
\subsubsection{Allowing the USB to Boot}
Unfortunately due to the vast array of layouts of BIOS, all I can do is describe what you are looking for. While you are looking, make sure not to change any settings.
\begin{enumerate}
\item First we need to turn off Secure Boot
\begin{itemize}
\item Sometimes this setting is alongside a booting option
\item Sometimes this is under a security tab
\item Secure Boot will always be labeled "Secure Boot" exactly
\end{itemize}
\item Move the USB to the top of the boot order sequence
\begin{itemize}
\item The boot order sequence is normally under a section on booting
\item See the bottom of your screen for which keys move items up and down in the list, normally it is F5 for Up, F6 for down
\end{itemize}
\item Exit the BIOS
\begin{itemize}
\item Normally this is F10
\item Make sure you save and exit
\end{itemize}
\end{enumerate}
\subsubsection{Making Room for Linux}
If you want to dual-boot with existing data on your disk see \ref{sec:linux-free-disk-space}.
\subsection{Launching the Installer}
\label{sec:installer}
Much like the BIOS section, each installer varies slightly, including a different order. I will include a list of the general steps, although each installer may do them in a different order.
\begin{enumerate}
\item Boot into the Installation USB
\item Start the installation process
\end{enumerate}
\subsubsection{Language and keyboard}
In my experience this flawlessly picks the correct default
\subsubsection{Networking}
If possible, connect to a network. Although it is not explicitly required for most installers. If prompted, download updates while installing.
\subsubsection{Partitioning}
\begin{itemize}
\item If you are dual-booting select "Install Alongside ..." if the option exists. If not and see \ref{sec:linux-partitioning}.
\item If you want to wipe the entire drive and just install Linux select "Erase disk and install..."
\item If you need a more advanced configuration see \ref{sec:linux-partitioning}
\end{itemize}
\subsubsection{User}
Create your user.
\subsubsection{Finishing Up}
Confirm that you choose all of the options that you want. Especially confirm that you set the partitions up correctly. \\
That's it! Congrats! For some basic post-install recommendations see \ref{sec:post-install}
\section{Post-Install}
\label{sec:post-install}
\subsection{Dual-boot}
If you setup a dual-boot, make sure that you install os-prober
\subsection{Security}
\begin{itemize}
\item With Windows you needed an Anti-Virus program (see \ref{sec:anti-virus} if you want one anyway), but not in Linux, however it is recommended that you have a firewall.
\item Install (see \ref{sec:install-software}) the package gufw.
\begin{enumerate}
\item Open gufw
\item click on the status slider to turn it on.
\item This will block other computers on the network from making connections into your machine.
\end{enumerate}
\end{itemize}
\subsection{Installing Software}
\label{sec:install-software}
Generally search for "Software" or "Program", the Beginner Distros will have a nice interface for you to search for, and install packages. For more see \ref{sec:package-managers}.
\subsection{Updating}
Generally search for "Update", some distros have a nice interface for updates. If not see \ref{sec:package-managers}.
\newpage
\section{Installation Alternate Cases}
\subsection{Dual Booting With an Existing Operating System}
\subsubsection{Windows - Free Disk Space}
\label{sec:windows-free-disk-space}
Before we can install Linux we have to make some space on your hard drive.
\begin{enumerate}
\item Boot into Windows (if you are unable to do this see \ref{sec:linux-free-disk-space})
\item Login
\item Open Disk Management
\item Click on C: in the top pane
\item Right click on the highlighted partition in the bottom pane and choose shrink volume
\item In "Enter the amount of space to shrink in MB" put the number of MB that you want to give to Linux there. 
\begin{itemize}
\item See \ref{sec:linux-minumum-space} if you are unsure how much to give.
\item Note that this is in MB. If you want to give it 10 GB, that would be 10*1024=10240MB.
\end{itemize}
\item Hit Shrink and wait.
\end{enumerate}
All done, Go back to \ref{sec:enter-bios}.
\subsubsection{Linux - Free Disk Space}
\label{sec:linux-free-disk-space}
\begin{enumerate}
\item Boot into a Live USB (see \ref{sec:enter-bios} if need to configure your BIOS) (see \ref{sec:bootable-usb} for more information about bootable USBs)
\item Start Live environment
\item Start gparted (install (see \ref{sec:install-software}) if it is not installed)
\item If you don't see your hard drive see \ref{sec:hard-drive-not-found}
\item Right click on the largest partition and hit "Resize/Move"
\item Enter "Free space following" that you want to give to Linux
\begin{itemize}
\item See \ref{sec:linux-minumum-space} if you are unsure how much to give.
\item Note that this is in MB. If you want to give it 10 GB, that would be 10*1024=10240MB.
\end{itemize}
\item Hit "Resize/Move"
\item Ensure that any existing EFI partition is at least 512MB (see \ref{sec:linux-resizing-efi})
\item Hit the checkmark near the top, then hit Apply
\item If the operations fails, ask for help.
\end{enumerate}
Return to \ref{sec:installer}
\subsubsection{Linux - Resizing EFI}
\label{sec:linux-resizing-efi}
\begin{enumerate}
\item Move each partition 512MB left after the EFI partition going right to left (by  putting 512 in the space preceding)
\item Hit the checkmark near the top, then hit Apply
\item Note the name of the EFI partition (\texttt{EFI-PARTITION}) (something like /dev/sda1 or /dev/nvme0np1)
\item Backup the files in the EFI partition by executing \texttt{sudo mount EFI-PARTITION /mnt;mkdir efi;sudo cp -R /mnt/* efi/;sudo umount /mnt/} in a terminal
\item Delete the EFI partition
\item Create a new fat32 partition of 612MB where the old EFI was with a label of "EFI"
\item Hit the checkmark near the top, then hit Apply
\item Right click on the new EFI partition and "Manage Flags" then add the "esp" and "boot" flags.
\item Copy the files back by executing \texttt{sudo mount EFI-PARTITION /mnt;sudo cp -R efi/* /mnt/;sudo umount /mnt} in a terminal
\end{enumerate}
\subsubsection{Linux - Partitioning}
\label{sec:linux-partitioning}
% "It's my fault for wanting Windows on there" - Windows dual-booter
The interface varies per distro, so I will describe what you are looking for.
\textbf{BE CAREFUL ON THIS STEP}
\begin{enumerate}
\item Create an EFI partition if you don't already have one
\begin{enumerate}
\item Find the + or the add partition button
\item Select a size of 512MB
\item Select partition type of FAT32
\end{enumerate}
\item If you already had an EFI partition, mount it as /boot/efi (but \textbf{DO NOT} format it)
\item If you want, make a 8GB SWAP partition (more info in \ref{partition-swap})
\item Create your root partition formatted as ext4 with how much space you want to give Linux (info about file system types in \ref{sec:file-systems}). See \ref{sec:linux-minumum-space} if you are unsure how much to give.
\item If you want a separate /home (your files, see \ref{sec:root-home} for more information), which I recommend, create one now with Ext and the rest of the space.
\item Hit Apply
\end{enumerate}
\subsection{Alternate BIOS Keys}
\label{sec:bios-keys}
Rather than pressing F2, try the key below that matches the manufacturer of your laptop.
\begin{itemize}
\item ASRock: F2 or DEL
\item ASUS: F2 for all PCs, F2 or DEL for Motherboards
\item Acer: F2 or DEL
\item Dell: F2 or F12
\item ECS: DEL
\item Gigabyte / Aorus: F2 or DEL
\item HP: F10
\item Lenovo (Consumer Laptops): F2 or Fn + F2
\item Lenovo (Desktops): F1
\item Lenovo (ThinkPads): Enter then F1.
\item MSI: DEL for motherboards and PCs
\item Microsoft Surface Tablets: Press and hold volume up button.
\item Origin PC: F2
\item Samsung: F2
\item Toshiba: F2
\item Zotac: DEL
\end{itemize}
\href{https://www.tomshardware.com/reviews/bios-keys-to-access-your-firmware,5732.html}{Source: Tom's Hardware}
\subsection{Hard drive not detected}
\label{sec:hard-drive-not-found}
\begin{enumerate}
\item Go into your BIOS (See \ref{sec:enter-bios})
\item Look through settings relating to hard drives (sometimes under configuration)
\item Turn off Optane
\item If "SATA Controller Mode" is set to "RT" and you have an existing Windows install:
\begin{enumerate}
\item Save and Exit
\item Boot into Windows
\item Open Command prompt as adminstrator
\item Execute \texttt{bcdedit /set \{current\} safeboot minimal}
\item Enter BIOS
\item Turn "SATA Control Mode" to "AHCI" (don't worry your data won't be lost)
\item Save and Exit
\item Boot into Windows
\item Open Command prompt as adminstrator
\item Execute \texttt{bcdedit /deletevalue \{current\} safeboot}
\end{enumerate}
\item Save and exit if you are in the BIOS
\item See if the hard drive is detected now
\end{enumerate}
\subsection{Virtualbox}
\label{sec:virtual-machine}
\label{sec:virtualbox}
\subsubsection{Initial setup}
\begin{enumerate}
\item Install Virtualbox
\item Enabling Virtualization
\begin{enumerate}
\item Boot into the BIOS (see \ref{sec:enter-bios})
\item Look for item(s) that say virtualization, vt-d, vt-x or amd-v
\item Make sure they are on
\end{enumerate}
\item Reboot
\item Go to the website of the distro you want to install, and install the iso.
\item Open Virtualbox
\end{enumerate}
\subsubsection{Creating the VM}
\begin{enumerate}
\item Hit "Machine" in the menu bar
\item Hit "New"
\item Choose a name for you VM
\item Make sure the Type is Linux (if it wasn't change version to generic linux)
\item Choose the amount of RAM given to your VM (more is better, but make sure you still have enough to run your normal operating system)
\item Create a virtual disk with 12-16GB if you can afford it
\item Right click on the name of your VM on the left and Hit settings
\item Go to the Storage tab
\item Hit the drive (should be under "Controller IDE")
\item Hit the disk icon to the right of "Optical Drive" on the right pane
\item Browse to where you downloaded the iso, then hit OK
\item See \ref{sec:installer} to install
\end{enumerate}
\newpage
\section{Rescue}
\subsection{My System Won't Boot}
\subsubsection{Windows}
NOTE: This section only applies to problems arising when dual-booting. If you choose Windows in Grub, and it doesn't boot, follow these steps.
\begin{enumerate}
\item Boot into a Windows Live Media (also called Recovery Media or Installation Media)
\item Hit next
\item Choose "repair your computer"
\item Hit Troubleshoot 
\item Hit Command Prompt
\item Execute \texttt{bootrec /fixmbr}
\item Execute \texttt{bcdboot c:/windows} % credit https://www.anyrecover.com/hard-drive-recovery-data/how-to-create-and-delete-efi-system-partition-in-windows/
\item Try booting now
\end{enumerate}
\subsubsection{Linux}
\label{sec:rescue-linux}
\begin{enumerate}
\item Boot into a Live USB
\item Find your root partition with gparted
\begin{enumerate}
\item Launch gparted
\item Note the hard drive name (\texttt{DRIVE}) and the name of your main partition (\texttt{ROOT-PATH}) (something like /dev/sda1 or /dev/nvme0np1)
\end{enumerate}
\item To re-install grub run these commands
\begin{enumerate}
\item \texttt{sudo mount \texttt{ROOT-PATH} /mnt}
\item \texttt{sudo mount --bind /sys /mnt/sys}
\item \texttt{sudo mount --bind /proc /mnt/proc}
\item \texttt{sudo mount --bind /dev /mnt/dev}
\item If you have a separate boot partition, mount that now to /mnt/boot
\item \texttt{sudo chroot /mnt}
\item \texttt{sudo grub-install \texttt{DRIVE}}
\item \texttt{sudo grub-mkconfig -o /boot/grub/grub.cfg} (make sure /boot/grub exists, it may be under /boot/grub2)
\end{enumerate}
\end{enumerate}
\newpage
Booting a live iso and re-installing grub\section{More Information}
\subsection{How Much Space Does Linux Need?}
\label{sec:linux-minumum-space}
Linux needs at least 16GB to be usable, although I recommend 32 or 64 if you have enough space. If you plan on having large files in Linux, increase this number to 128. You are always welcome to increase this if you wish.
\subsection{Partition/File System Types}
\label{sec:file-systems}
\subsubsection{ext4}
Moving files in ext4 is nearly instant. Can have files up to 16TB.
\subsubsection{fat32}
This is type of the EFI partition. Can have files up to 4GB.
\subsubsection{swap}
\label{partition-swap}
If you run out of RAM, your system may be able to use this space rather than crashing applications.
\subsection{Partition Tables}
A partition table is a table that stores where each partition is on the disk. MSDOS is one such table, and it has a limit of 4 partitions. GPT is the current standard.
\subsection{Bootable USB}
\label{sec:bootable-usb}
A Bootable USB is a USB drive that has a mini operating system on it. Just enough of one to allow you to boot. 
\subsubsection{Creating}
\begin{enumerate}
\item Download an iso (this is the raw 1 and 0 of the entire operating system) to ISO-PATH
\item Flash to a USB drive.
NOTE: etcher is easier than the below methods, but it sends tracking requests to various sites including google-analytics (\href{https://github.com/balena-io/etcher/issues/2057\#issuecomment-442730925}{source)}.
\begin{itemize}
\item If on Windows use a program called "rufus"
\item If on Mac or Linux
\begin{enumerate}
\item Open Terminal as administrator
\item Find the drive path of the drive you wish to write (\texttt{sudo fdisk -l} can help with this)
\item MAKE SURE YOU HAVE THE CORRECT DRIVE
\item MAKE SURE YOU HAVE THE CORRECT DRIVE AGAIN
\item Execute \texttt{sudo dd if=ISO-PATH of=DRIVE-PATH status=progress}
\end{enumerate}
\end{itemize}
\end{enumerate}
\subsubsection{Installation Media}
A way to install another operating system, sometimes a Live USB.
\subsubsection{Live USB}
A bootable operating system that you can preform normal tasks in. This does not store the files you create, much like a guest session. Can be used for recovery and trying out distros.
\subsection{File System}
\subsubsection{bin}
For Binary files
\subsubsection{boot}
Basic files to start the boot process
\subsubsection{dev}
A "virtual" file system
\subsubsection{etc}
Additional libraries needed to complete the boot process
\subsubsection{home}
\label{sec:root-home}
Where your files are stored, and your configurations
\subsubsection{lib}
Library files. Needed for most binaries.
\subsubsection{lib64}
Library files for 64bit systems. Needed for most binaries.
\subsubsection{lost+found}
Files that for some reason got partially corrupted go here. Almost always empty (and you want it that way)
\subsubsection{media}
A place to mount USBs/other external media automatically
\subsubsection{mnt}
A place to mount external media manually
\subsubsection{opt}
A place to install proprietary and other software that is self-contained
\subsubsection{proc}
A "virtual" file system that has process information
\subsubsection{root}
A home for the "root" user
\subsubsection{run}
General information about the system that is valid until reboot.
\subsubsection{sbin}
Super User (root) binaries. These binaries normally modify your system in some way, and are not needed for normal use.
\subsubsection{sys}
A "virtual" file system that represents your physical hardware.
\subsubsection{tmp}
A place for temporary files that do not persist across reboots.
\subsubsection{usr}
Addiational software, normally managed by your package manager. Some configuration files are here as well.
\subsubsection{usr/local}
A place for you to add additional software, outside of the package manager. Not normally needed.
\subsubsection{var}
Varies state about the system that persists across reboots
\subsection{Package Managers}
\label{sec:package-managers}
A Package manager keeps track of what "packages" are installed on your system. These packages contain the software and the libraries that are needed to run that software.
\subsubsection{Graphical Front Ends by Distro}
\begin{itemize}
\item Ubuntu: Ubuntu Software
\item Debian: synaptic (not built-in)
\item Arch: pamac-manager (built-in with Manjaro)
\end{itemize}
\subsubsection{List by Distro}
\label{sec:package-manager-by-distro}
\begin{itemize}
\item Debian: apt (see 
\item Arch: pacman
\item Fedora/CentOS: dnf/yum
\item OpenSUSE: zypper
\item Gentoo: portage
\end{itemize}
\subsubsection{Using apt}
\label{sec:apt}
Where \texttt{NAME} is a package name or description (or part of one) and \texttt{PACKAGE} is a package name
\begin{itemize}
\item Search: \texttt{sudo apt search PACKAGE}
\item Install: \texttt{sudo apt install PACKAGE}
\item Update: \texttt{sudo apt update} then \texttt{sudo apt upgrade}
\end{itemize}
\subsubsection{Using pacman}
\label{sec:pacman}
Where \texttt{NAME} is a package name or description (or part of one) and \texttt{PACKAGE} is a package name
\begin{itemize}
\item Search: \texttt{sudo pacman -Q NAME}
\item Install: \texttt{sudo pacman -Sy NAME}
\item Update: \texttt{sudo pacman -Syu update}
\end{itemize}
\subsubsection{Using dnf or yum}
\label{sec:dnf-yum}
Where \texttt{NAME} is a package name or description (or part of one) and \texttt{PACKAGE} is a package name
\begin{itemize}
\item Search: \texttt{sudo dnf search PACKAGE}
\item Install: \texttt{sudo dnf install PACKAGE}
\item Update: \texttt{sudo dnf upgrade}
\end{itemize}
\subsection{Anti-Virus}
\label{sec:anti-virus}
ClamAV is a Linux virus scanner. It does not scan automatically, or update automatically.
\end{document}
